Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 167711 - parent pom recommendation light bulb is recommending old parent pom version
parent pom recommendation light bulb is recommending old parent pom version
Status: VERIFIED FIXED
Product: projects
Classification: Unclassified
Component: Maven
6.x
All Linux
: P3 (vote)
: 6.x
Assigned To: Milos Kleint
issues@platform
67patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-26 16:53 UTC by coding
Modified: 2009-07-20 14:50 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description coding 2009-06-26 16:53:11 UTC
I'm using either my own personal parent pom 1.18 or 1.19 but the light bulb in Netbeans is recommending that I use
version 1.12-SNAPSHOT. There might be a bug in the recommendation engine that doesn't understand the meaning of -SNAPSHOT.
Comment 1 Milos Kleint 2009-06-29 09:19:18 UTC
http://hg.netbeans.org/main/rev/6e67e17fa6b2

the problem was with parent declarations that didn't have the parent pom in default relative path (../pom.xml) but
didn't use the relativePath element to denote where the parent is in sources (doesn't have to be at all)
Comment 2 Quality Engineering 2009-06-29 17:43:05 UTC
Integrated into 'main-golden', will be available in build *200906291400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/6e67e17fa6b2
User: Milos Kleint <mkleint@netbeans.org>
Log: #167711 check the coordinates to filter out parents in non-default locations without the relativePath set
Comment 3 Jaroslav Pospisil 2009-07-02 13:21:56 UTC
v.
Comment 4 pgebauer 2009-07-09 17:15:35 UTC
The fix has been ported into the release67_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/68e77cd6bd21


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo